Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.crawler
Class ChildRequestHint

    java.lang.Object
      com.plumtree.remote.crawler.ChildRequestHint

public class ChildRequestHint
extends java.lang.Object

Enumeration for portal child request queries. `ChildRequestHint`s can signal the backend to behave differently.

Field Summary
`static ChildRequestHint` | `ALL_CHILDREN` The portal will ask for child objects.
`static ChildRequestHint` | `ALL_CONTAINERS` The portal will ask for container objects.
`static ChildRequestHint` | `ALL_DOCUMENTS` The portal will ask for document objects.
`static ChildRequestHint` | `RANDOM_ACCESS` The portal will ask for any kind of object.
`static ChildRequestHint` | `RESERVED` (Reserved for future use.)

Method Summary
`int` | `getCode()` Returns the underlying integral hint code.
`static ChildRequestHint` | `parse(int val)` Returns the `ChildRequestHint` object corresponding to the hint code.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RANDOM_ACCESS

    public static final ChildRequestHint RANDOM_ACCESS

  The portal will ask for any kind of object. Not used.

### ALL_CHILDREN

    public static final ChildRequestHint ALL_CHILDREN

  The portal will ask for child objects. Used when the portal has not reached the maximum depth of the container.

### ALL_CONTAINERS

    public static final ChildRequestHint ALL_CONTAINERS

  The portal will ask for container objects.

### ALL_DOCUMENTS

    public static final ChildRequestHint ALL_DOCUMENTS

  The portal will ask for document objects. Used when the portal has reached the maximum depth of the container.

### RESERVED

    public static final ChildRequestHint RESERVED

  (Reserved for future use.)

Method Detail

### getCode

    public int getCode()

  Returns the underlying integral hint code.

  Returns:
    the hint code

### parse

    public static ChildRequestHint parse(int val)

  Returns the `ChildRequestHint` object corresponding to the hint code.

  Returns:
    the corresponding `ChildRequestHint` object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.